Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc.coderef
Class EntityRecorder

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityRecorder

    public class EntityRecorder

extends java.lang.Object

Creates the entities artifacts for the new soyc.

Field Summary
`static java.lang.String` | `ENTITIES`
`static java.lang.String` | `FRAGMENT_ID`
`static java.lang.String` | `FRAGMENT_POINTS`
`static java.lang.String` | `FRAGMENT_SIZE`
`static java.lang.String` | `FRAGMENT_STR_VAR`
`static java.lang.String` | `FRAGMENTS`
`static java.lang.String` | `INITIAL_SEQUENCE`

Method Summary
`static java.util.List<SyntheticArtifact>` | `makeSoycArtifacts(int permutationId, java.util.List<com.google.gwt.dev.jjs.JsSourceMap> sourceInfoMaps, java.lang.String sourceMapFilePrefix, com.google.gwt.dev.jjs.impl.JavaToJavaScriptMap jjsmap, com.google.gwt.dev.js.SizeBreakdown[] sizeBreakdowns, DependencyGraphRecorder codeGraph, com.google.gwt.dev.jjs.ast.JProgram jprogram)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITIES

    public static final java.lang.String ENTITIES

See Also:
  Constant Field Values

### FRAGMENT_ID

    public static final java.lang.String FRAGMENT_ID

See Also:
  Constant Field Values

### FRAGMENT_SIZE

    public static final java.lang.String FRAGMENT_SIZE

See Also:
  Constant Field Values

### FRAGMENT_STR_VAR

    public static final java.lang.String FRAGMENT_STR_VAR

See Also:
  Constant Field Values

### FRAGMENT_POINTS

    public static final java.lang.String FRAGMENT_POINTS

See Also:
  Constant Field Values

### FRAGMENTS

    public static final java.lang.String FRAGMENTS

See Also:
  Constant Field Values

### INITIAL_SEQUENCE

    public static final java.lang.String INITIAL_SEQUENCE

See Also:
  Constant Field Values

Method Detail

### makeSoycArtifacts

    public static java.util.List<SyntheticArtifact> makeSoycArtifacts(int permutationId,
                                                                      java.util.List<com.google.gwt.dev.jjs.JsSourceMap> sourceInfoMaps,
                                                                      java.lang.String sourceMapFilePrefix,
                                                                      com.google.gwt.dev.jjs.impl.JavaToJavaScriptMap jjsmap,
                                                                      com.google.gwt.dev.js.SizeBreakdown[] sizeBreakdowns,
                                                                      DependencyGraphRecorder codeGraph,
                                                                      com.google.gwt.dev.jjs.ast.JProgram jprogram)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD